Bug 174276 - Kernel crashed on 3Gb machine doing nothing particularly strange (keywords: kunmap_high, copy_strings)
Kernel crashed on 3Gb machine doing nothing particularly strange (keywords: k...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://zeniv.linux.org.uk/~bryce/doub...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-26 22:32 EST by Bryce
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 22:01:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryce 2005-11-26 22:32:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
Nov 27 02:30:32 Emerald kernel: ------------[ cut here ]------------
Nov 27 02:30:32 Emerald kernel: Unable to handle kernel NULL pointer dereference
 at virtual address 00000000
Nov 27 02:30:32 Emerald kernel:  printing eip:
Nov 27 02:30:32 Emerald kernel: c0320473
Nov 27 02:30:32 Emerald kernel: *pde = 10569001
Nov 27 02:30:32 Emerald kernel: kernel BUG at mm/highmem.c:193!
Nov 27 02:30:32 Emerald kernel: invalid operand: 0000 [#1]
Nov 27 02:30:32 Emerald kernel: SMP 
Nov 27 02:30:32 Emerald kernel: Modules linked in: parport_pc lp parport autofs4
 sunrpc ipv6 vfat fat joydev usb_storage wacom ov511 dm_mod video button battery
 ac ohci1394 ieee1394 uhci_hcd bt878 tuner bttv video_buf i2c_algo_bit v4l2_comm
on btcx_risc tveeprom videodev budget_ci tda1004x budget_core dvb_core saa7146 t
tpci_eeprom stv0299 stv0297 shpchp i2c_i801 i2c_core snd_intel8x0 snd_ac97_codec
 snd_ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_devic
e snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc eepro
100 e100 mii floppy ext3 jbd ata_piix libata sd_mod scsi_mod
Nov 27 02:30:32 Emerald kernel: CPU:    1
Nov 27 02:30:32 Emerald kernel: EIP:    0060:[<c0151964>]    Not tainted VLI
Nov 27 02:30:32 Emerald kernel: EFLAGS: 00010246   (2.6.14-1.1637_FC4smp) 
Nov 27 02:30:32 Emerald kernel: EIP is at kunmap_high+0x5a/0x9f
Nov 27 02:30:33 Emerald kernel: eax: 00000022   ebx: c18b2e00   ecx: c049c180   
edx: 00000000
Nov 27 02:30:33 Emerald kernel: esi: 00000000   edi: c18b2e00   ebp: 00000000   
esp: ee513f3c
Nov 27 02:30:33 Emerald kernel: ds: 007b   es: 007b   ss: 0068
Nov 27 02:30:33 Emerald kernel: Process makewhatis (pid: 5137, threadinfo=ee5130
00 task=edc2d030)
Nov 27 02:30:33 Emerald kernel: Stack: 0000000f 00000000 c016d192 df50f400 c18b2
e00 ff822000 edd6400f 0001fffc 
Nov 27 02:30:33 Emerald kernel:        00000001 00000000 df50f52c ee513000 c0000
000 df50f548 edd64000 c016d25d 
Nov 27 02:30:33 Emerald kernel:        ee513000 df50f400 c016e72a 08543578 0858c
650 00000080 08558fe0 edd64000 
Nov 27 02:30:33 Emerald kernel: Call Trace:
Nov 27 02:30:33 Emerald kernel:  [<c016d192>] copy_strings+0x158/0x20b
Nov 27 02:30:33 Emerald kernel:  [<c016d25d>] copy_strings_kernel+0x18/0x1e
Nov 27 02:30:33 Emerald kernel:  [<c016e72a>] do_execve+0x1af/0x23c
Nov 27 02:30:33 Emerald kernel:  [<c01025f9>] sys_execve+0x30/0x73
Nov 27 02:30:33 Emerald kernel:  [<c01039e1>] syscall_call+0x7/0xb
Nov 27 02:30:33 Emerald kernel: Code: 90 49 c0 83 ea 01 89 14 85 a0 90 49 c0 85 
d2 74 1a 31 db 83 ea 01 74 1b b8 00 99 3e c0 e8 51 c5 1c 00 85 db 75 2a 83 c4 04
 5b c3 <0f> 0b c1 00 a2 60 33 c0 31 db 81 3d c4 0b 38 c0 c4 0b 38 c0 0f 
Nov 27 02:30:33 Emerald kernel:  <1>Oops: 0002 [#2]
Nov 27 02:30:33 Emerald kernel: Fatal exception: panic in 5 seconds
Nov 27 02:30:33 Emerald kernel: SMP 
Nov 27 02:30:33 Emerald kernel: Modules linked in: parport_pc lp parport autofs4
 sunrpc ipv6 vfat fat joydev usb_storage wacom ov511 dm_mod video button battery
 ac ohci1394 ieee1394 uhci_hcd bt878 tuner bttv video_buf i2c_algo_bit v4l2_comm
on btcx_risc tveeprom videodev budget_ci tda1004x budget_core dvb_core saa7146 t
tpci_eeprom stv0299 stv0297 shpchp i2c_i801 i2c_core snd_intel8x0 snd_ac97_codec
 snd_ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_devic
e snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc eepro
100 e100 mii floppy ext3 jbd ata_piix libata sd_mod scsi_mod
Nov 27 02:30:33 Emerald kernel: CPU:    0
Nov 27 02:30:33 Emerald kernel: EIP:    0060:[<c0320473>]    Not tainted VLI
Nov 27 02:30:33 Emerald kernel: EFLAGS: 00010246   (2.6.14-1.1637_FC4smp) 
Nov 27 02:30:33 Emerald kernel: EIP is at iret_exc+0x544/0x753
Nov 27 02:30:33 Emerald kernel: eax: 00000000   ebx: eda3af7c   ecx: 000005cc   
edx: 08096b00
Nov 27 02:30:33 Emerald kernel: esi: 08096b00   edi: 00000000   ebp: 000005cc   
esp: eda3af10
Nov 27 02:30:33 Emerald kernel: ds: 007b   es: 007b   ss: 0068
Nov 27 02:30:33 Emerald kernel: Process zcat (pid: 5136, threadinfo=eda3a000 tas
k=f0c26030)
Nov 27 02:30:33 Emerald kernel: Stack: 00000000 000005cc 000005cc 00000000 c016f
59e fffac4b8 08097000 eda3af7c 
Nov 27 02:30:33 Emerald kernel:        dcf81580 f5cd83b0 f506c600 00000000 00000
5cc 000005cc ee2fe400 00000004 
Nov 27 02:30:33 Emerald kernel:        00000002 00000000 f506c620 c18b8f20 00000
5cc dcf81580 000005cc 08096b00 
Nov 27 02:30:33 Emerald kernel: Call Trace:
Nov 27 02:30:33 Emerald kernel:  [<c016f59e>] pipe_writev+0x159/0x521
Nov 27 02:30:33 Emerald kernel:  [<c016f966>] pipe_write+0x0/0x24
Nov 27 02:30:33 Emerald kernel:  [<c016f986>] pipe_write+0x20/0x24
Nov 27 02:30:33 Emerald kernel:  [<c016398f>] vfs_write+0xa2/0x15a
Nov 27 02:30:33 Emerald kernel:  [<c0163af2>] sys_write+0x41/0x6a
Nov 27 02:30:33 Emerald kernel:  [<c01039e1>] syscall_call+0x7/0xb
Nov 27 02:30:34 Emerald kernel: Code: 88 00 51 50 31 c0 f3 aa 58 59 e9 6e de eb 
ff 01 c1 e9 a8 de eb ff 8d 4c 88 00 e9 9f de eb ff 01 c1 eb 04 8d 4c 88 00 51 50
 31 c0 <f3> aa 58 59 e9 e0 de eb ff b8 f2 ff ff ff e9 20 80 ec ff b8 f2 
Nov 27 02:30:34 Emerald kernel:  <0>Fatal exception: panic in 5 seconds



Version-Release number of selected component (if applicable):
2.6.14-1.1637_FC4smp

How reproducible:
Sometimes

Steps to Reproduce:
Wait....
it happens every few days sometimes quicly one after the opther and then  goes away for days.

Additional info:
Comment 1 Dave Jones 2006-02-03 01:37:55 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 John Thacker 2006-05-04 22:01:14 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.